<%@ page language="java" import="java.util.*,com.letousky.lottery.action.MemberCenter,com.letousky.exception.LotteryException" pageEncoding="UTF-8"%>
<%
	
	String params[] = new String[1];
	
	params[0] = java.net.URLDecoder.decode(request.getParameter("userNikeName"));
	
	try{
	List list=new MemberCenter().tarySingleUser(params);
	
	Object[] obj=list.toArray();
	String str[]=null;
	String d=",";
	out.print("{\"result\":\"0000\",\"items\":[");
	for(int i=0;i<obj.length;i++){
		
		str = (String[])obj[i];
		
		if(i==(obj.length-1)){ d=""; }	
		out.print("{\"lotName\":\""+str[0]+"\",\"zdr\":\""+str[1]+"\",\"price\":\""+str[2]+"\"}"+d+"");
	}
	out.print("]}");
	}catch(LotteryException e){
		
		out.print("{\"result\":\""+e.getMessage()+"\"}");
	}
	
%>